proc TimeScan {} {
global Glob_Pref Obj_Lib Obj_Proj Process

	if { $Glob_Pref(fPWTimeScan) <= 0 } {set Glob_Pref(fPWTimeScan) 5}

	set min_to_ms 60000
	set fPWTimeScan_ms [expr $Glob_Pref(fPWTimeScan) * $min_to_ms ]
	set fPWTimeScan_ms [expr round($fPWTimeScan_ms)]

#	set Timer_date [exec date "+%d/%m/%y"]
#	set Timer_time [exec date "+%H:%M:%S"]
 	PRINT "*** TkfPW Time Scaning launched on $Timer_date at $Timer_time"

	after $fPWTimeScan_ms TimeScan

	if [info exists Process(scan_count)] {
		incr Process(scan_count)
	} else {
		set Process(scan_count) 0
		return
	}

	# Libraries
	for {set i 1} {$i <= $Obj_Lib(number)} {incr i} {
		show-status "Scan $Obj_Lib($i)" lib-status
		InProgress {} $Obj_Lib(number) "Automatic Scan Lib #$Process(scan_count)" $i
		GetInfoLib $i
	}
	# Projects
	for {set i 1} {$i <= $Obj_Proj(number)} {incr i} {
		show-status "Scan $Obj_Proj($i)" proj-status
		InProgress {} $Obj_Proj(number) "Automatic Scan Project #$Process(scan_count)" $i
		GetInfoProj $i
	}

}
