proc EditFileFromWtext { Wtext path } {
global Glob_Pref
	# get the tags at current position
	set indexW [$Wtext index current]
	set tags [$Wtext tag names $indexW]

	# the tag is supposed to be : "tag1 tag2 ... file"
	set ipos_file [expr [llength $tags] - 1]
	set file [lindex  [split $tags " "] $ipos_file]
	EditFile $Wtext $path/$file
}
proc GotoNextTagInWtext {W tagname} {
#Goto next tagname in Window Text W
	set index_current [$W index current]
	set index_current_nl [lindex  [split $index_current .] 0]
	set past_index_current [expr $index_current_nl + 1].0
	set indexes_next [ $W tag nextrange $tagname $past_index_current]
	set index_tosee [lindex  [split $indexes_next " "] 0]
	if [catch {$W see $index_tosee} err] {
		$W see 1.0
	}
}

proc GotoCharInWtext {W char dir} {
#Goto "char" in Window Text "W" : "dir" is -backwards or -forwards
	# get the index of current position : num-line.num-char type
	set index_current [$W index current]
	# get the current num-line
	set index_current_nl [lindex  [split $index_current .] 0]
	# form the starting num-line search
	if [string match "-backwards" $dir] {
		set start_index [expr $index_current_nl - 1].0
	} else {
		set start_index [expr $index_current_nl + 1].0
	}
	# goto the line where "char" is
	set index_tosee [$W search $dir $char $start_index]
	if [catch {$W see $index_tosee} err] {
		# or goto to end or to the beggining, depending on "dir"
		if [string match "-backwards" $dir] {$W see end }
		if [string match "-forwards" $dir] {$W see 1.0 }
	}
}
